import { ReactNode } from "react";
import { MatrixEvent } from "matrix-js-sdk/src/matrix";
import { BaseGrouper } from "./BaseGrouper";
import MessagePanel, { WrappedEvent } from "../MessagePanel";
export declare class CreationGrouper extends BaseGrouper {
    static canStartGroup: (_panel: MessagePanel, { event }: WrappedEvent) => boolean;
    shouldGroup({ event, shouldShow }: WrappedEvent): boolean;
    add(wrappedEvent: WrappedEvent): void;
    getTiles(): ReactNode[];
    getNewPrevEvent(): MatrixEvent;
}
